package cn.iocoder.yudao.module.inspection.entity;

import java.util.Date;

import cn.iocoder.yudao.annotation.Excel;
import cn.iocoder.yudao.framework.tenant.core.db.TenantBaseDO;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;



/**
 * 【请填写功能名称】对象 del_inspection_info
 *
 * @author ruoyi
 * @date 2024-05-08
 */
public class DelInspectionInfo extends TenantBaseDO
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 检测订单主键 */
    @Excel(name = "检测订单主键")
    private Long inspectionOrderId;

    /** 用户主键 */
    @Excel(name = "用户主键")
    private Long userId;

    /** 用户名称 */
    @Excel(name = "用户名称")
    private String userName;

    /** 用户名称 */
    @Excel(name = "用户名称")
    private String buyName;

    /** 用户手机号 */
    @Excel(name = "用户手机号")
    private String buyPhone;

    /** 地址 */
    @Excel(name = "地址")
    private String userAddress;

    /** 单位名称 */
    @Excel(name = "单位名称")
    private String unitName;

    /** 店铺主键 */
    @Excel(name = "店铺主键")
    private Long partnerId;

    /** 检测工主键 */
    @Excel(name = "检测工主键")
    private Long workId;

    /** 检查工名称 */
    @Excel(name = "检查工名称")
    private String workerName;

    /** 检查工手机号 */
    @Excel(name = "检查工手机号")
    private String workerPhone;

    /** 检查工头像 */
    @Excel(name = "检查工头像")
    private String workerAvatar;

    /** 车辆类型 */
    @Excel(name = "车辆类型")
    private Long categoryId;

    /** 车牌号 */
    @Excel(name = "车牌号")
    private String carNum;

    /** 车辆品牌型号 */
    @Excel(name = "车辆品牌型号")
    private String carModel;

    /** 车辆性质 */
    @Excel(name = "车辆性质")
    private String carNature;

    /** 车子状态 */
    @Excel(name = "车子状态")
    private String carStatus;

    /** 车辆识别代码 */
    @Excel(name = "车辆识别代码")
    private String carIdNo;

    /** 0不通过1通过 */
    @Excel(name = "0不通过1通过")
    private String isPass;

    /** 是否重审 */
    @Excel(name = "是否重审")
    private String isRetrial;

    /** 客户来源 */
    @Excel(name = "客户来源")
    private String customerSource;

    /** 0进行中1已结束 */
    @Excel(name = "0进行中1已结束")
    private String status;

    /** 开始时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "开始时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date startTime;

    /** 结束时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "结束时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date endTime;

    /** 是否制证并完成 */
    @Excel(name = "是否制证并完成")
    private String makeCert;

    /** 年 */
    @Excel(name = "年")
    private String year;

    /** 月 */
    @Excel(name = "月")
    private String month;

    /** 日 */
    @Excel(name = "日")
    private String day;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Date nextMaintenanceDate;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Date nextInspectionDate;

    /** 他人手机号 */
    @Excel(name = "他人手机号")
    private String otherPhone;

    /** 驾驶证图片 */
    @Excel(name = "驾驶证图片")
    private String driverLicenesImg;

    /** 是否线上支付0否1是 */
    @Excel(name = "是否线上支付0否1是")
    private String isPayOnline;

    /** 是否上门取车 */
    @Excel(name = "是否上门取车")
    private String isPickCar;

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    private String remark;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setInspectionOrderId(Long inspectionOrderId)
    {
        this.inspectionOrderId = inspectionOrderId;
    }

    public Long getInspectionOrderId()
    {
        return inspectionOrderId;
    }
    public void setUserId(Long userId)
    {
        this.userId = userId;
    }

    public Long getUserId()
    {
        return userId;
    }
    public void setUserName(String userName)
    {
        this.userName = userName;
    }

    public String getUserName()
    {
        return userName;
    }
    public void setBuyName(String buyName)
    {
        this.buyName = buyName;
    }

    public String getBuyName()
    {
        return buyName;
    }
    public void setBuyPhone(String buyPhone)
    {
        this.buyPhone = buyPhone;
    }

    public String getBuyPhone()
    {
        return buyPhone;
    }
    public void setUserAddress(String userAddress)
    {
        this.userAddress = userAddress;
    }

    public String getUserAddress()
    {
        return userAddress;
    }
    public void setUnitName(String unitName)
    {
        this.unitName = unitName;
    }

    public String getUnitName()
    {
        return unitName;
    }
    public void setPartnerId(Long partnerId)
    {
        this.partnerId = partnerId;
    }

    public Long getPartnerId()
    {
        return partnerId;
    }
    public void setWorkId(Long workId)
    {
        this.workId = workId;
    }

    public Long getWorkId()
    {
        return workId;
    }
    public void setWorkerName(String workerName)
    {
        this.workerName = workerName;
    }

    public String getWorkerName()
    {
        return workerName;
    }
    public void setWorkerPhone(String workerPhone)
    {
        this.workerPhone = workerPhone;
    }

    public String getWorkerPhone()
    {
        return workerPhone;
    }
    public void setWorkerAvatar(String workerAvatar)
    {
        this.workerAvatar = workerAvatar;
    }

    public String getWorkerAvatar()
    {
        return workerAvatar;
    }
    public void setCategoryId(Long categoryId)
    {
        this.categoryId = categoryId;
    }

    public Long getCategoryId()
    {
        return categoryId;
    }
    public void setCarNum(String carNum)
    {
        this.carNum = carNum;
    }

    public String getCarNum()
    {
        return carNum;
    }
    public void setCarModel(String carModel)
    {
        this.carModel = carModel;
    }

    public String getCarModel()
    {
        return carModel;
    }
    public void setCarNature(String carNature)
    {
        this.carNature = carNature;
    }

    public String getCarNature()
    {
        return carNature;
    }
    public void setCarStatus(String carStatus)
    {
        this.carStatus = carStatus;
    }

    public String getCarStatus()
    {
        return carStatus;
    }
    public void setCarIdNo(String carIdNo)
    {
        this.carIdNo = carIdNo;
    }

    public String getCarIdNo()
    {
        return carIdNo;
    }
    public void setIsPass(String isPass)
    {
        this.isPass = isPass;
    }

    public String getIsPass()
    {
        return isPass;
    }
    public void setIsRetrial(String isRetrial)
    {
        this.isRetrial = isRetrial;
    }

    public String getIsRetrial()
    {
        return isRetrial;
    }
    public void setCustomerSource(String customerSource)
    {
        this.customerSource = customerSource;
    }

    public String getCustomerSource()
    {
        return customerSource;
    }
    public void setStatus(String status)
    {
        this.status = status;
    }

    public String getStatus()
    {
        return status;
    }
    public void setStartTime(Date startTime)
    {
        this.startTime = startTime;
    }

    public Date getStartTime()
    {
        return startTime;
    }
    public void setEndTime(Date endTime)
    {
        this.endTime = endTime;
    }

    public Date getEndTime()
    {
        return endTime;
    }
    public void setMakeCert(String makeCert)
    {
        this.makeCert = makeCert;
    }

    public String getMakeCert()
    {
        return makeCert;
    }
    public void setYear(String year)
    {
        this.year = year;
    }

    public String getYear()
    {
        return year;
    }
    public void setMonth(String month)
    {
        this.month = month;
    }

    public String getMonth()
    {
        return month;
    }
    public void setDay(String day)
    {
        this.day = day;
    }

    public String getDay()
    {
        return day;
    }
    public void setNextMaintenanceDate(Date nextMaintenanceDate)
    {
        this.nextMaintenanceDate = nextMaintenanceDate;
    }

    public Date getNextMaintenanceDate()
    {
        return nextMaintenanceDate;
    }
    public void setNextInspectionDate(Date nextInspectionDate)
    {
        this.nextInspectionDate = nextInspectionDate;
    }

    public Date getNextInspectionDate()
    {
        return nextInspectionDate;
    }
    public void setOtherPhone(String otherPhone)
    {
        this.otherPhone = otherPhone;
    }

    public String getOtherPhone()
    {
        return otherPhone;
    }
    public void setDriverLicenesImg(String driverLicenesImg)
    {
        this.driverLicenesImg = driverLicenesImg;
    }

    public String getDriverLicenesImg()
    {
        return driverLicenesImg;
    }
    public void setIsPayOnline(String isPayOnline)
    {
        this.isPayOnline = isPayOnline;
    }

    public String getIsPayOnline()
    {
        return isPayOnline;
    }
    public void setIsPickCar(String isPickCar)
    {
        this.isPickCar = isPickCar;
    }

    public String getIsPickCar()
    {
        return isPickCar;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("inspectionOrderId", getInspectionOrderId())
            .append("userId", getUserId())
            .append("userName", getUserName())
            .append("buyName", getBuyName())
            .append("buyPhone", getBuyPhone())
            .append("userAddress", getUserAddress())
            .append("unitName", getUnitName())
            .append("partnerId", getPartnerId())
            .append("workId", getWorkId())
            .append("workerName", getWorkerName())
            .append("workerPhone", getWorkerPhone())
            .append("workerAvatar", getWorkerAvatar())
            .append("categoryId", getCategoryId())
            .append("carNum", getCarNum())
            .append("carModel", getCarModel())
            .append("carNature", getCarNature())
            .append("carStatus", getCarStatus())
            .append("carIdNo", getCarIdNo())
            .append("isPass", getIsPass())
            .append("isRetrial", getIsRetrial())
            .append("customerSource", getCustomerSource())
            .append("status", getStatus())
            .append("startTime", getStartTime())
            .append("endTime", getEndTime())
            .append("makeCert", getMakeCert())
            .append("year", getYear())
            .append("month", getMonth())
            .append("day", getDay())
            .append("createTime", getCreateTime())
            .append("createBy", getCreator())
            .append("updateTime", getUpdateTime())
            .append("updateBy", getUpdater())
            .append("nextMaintenanceDate", getNextMaintenanceDate())
            .append("nextInspectionDate", getNextInspectionDate())
            .append("otherPhone", getOtherPhone())
            .append("driverLicenesImg", getDriverLicenesImg())
            .append("isPayOnline", getIsPayOnline())
            .append("isPickCar", getIsPickCar())
            .toString();
    }
}
